extends AnimationPlayer

@export var door_sound: String = "res://audio/stone_door.ogg"

func _ready() -> void:
	self.animation_started.connect(_on_animation_started)

func _on_animation_started(_anim_name: StringName) -> void:
	# Play a sound whenever any animation starts
	AudioManager.play(door_sound)
